diff --git a/changelog b/changelog
index 0518e0a..31c889c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,10 @@
+20141207 tpd src/axiom-website/patches.html 20141207.05.tpd.patch
+20141207 tpd books/bookvol10.4 NAGF07 absorb src/input test case files
+20141207 tpd src/input/Makefile remove f07 files
+20141207 tpd src/input/f07adf.input absorbed, removed
+20141207 tpd src/input/f07aef.input absorbed, removed
+20141207 tpd src/input/f07fdf.input absorbed, removed
+20141207 tpd src/input/f07fef.input absorbed, removed
 20141207 tpd src/axiom-website/patches.html 20141207.04.tpd.patch
 20141207 tpd books/bookvol10.4 NAGF04 absorb src/input test case files
 20141207 tpd src/input/Makefile remove f04 files
diff --git a/patch b/patch
index cc4308b..055ee55 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,2 @@
-books/bookvol10.4 NAGF04 absorb src/input test case files
+books/bookvol10.4 NAGF07 absorb src/input test case files
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 097dde0..c3543ab 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4778,6 +4778,8 @@ books/bookvol10.4 NAGF01 absorb src/input test case files<br/>
 books/bookvol10.4 NAGF02 absorb src/input test case files<br/>
 <a href="patches/20141207.04.tpd.patch">20141207.04.tpd.patch</a>
 books/bookvol10.4 NAGF04 absorb src/input test case files<br/>
+<a href="patches/20141207.05.tpd.patch">20141207.05.tpd.patch</a>
+books/bookvol10.4 NAGF07 absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 2b636aa..c32f9f4 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -198,8 +198,7 @@ SKIP= as-eg1.output as-eg2.output    \
       drawpoly.output  drawx.output     dropt.output     \
       egg.output       \
       explot2d.output  explot3d.output  \
-      f07adf.output    f07aef.output    f07fdf.output    \
-      f07fef.output    folium.output    gary1.output     gnarly1.output   \
+      folium.output    gary1.output     gnarly1.output   \
       graphics.output  grdef.output     helix.output     \
       images1a.output  images1.output   images2a.output  images2.output   \
       images3a.output  images3.output   images5a.output  images5.output   \
@@ -617,9 +616,7 @@ ASFILES=${OUT}/aseg6.as   ${OUT}/aseg7.as  ${OUT}/ecfact.as \
         ${OUT}/hilbert.as ${OUT}/matops.as ${OUT}/pdecomp0.as \
         ${OUT}/romnum.as
 
-NAGLIB=${OUT}/f07adf.input   ${OUT}/f07aef.input     ${OUT}/f07fdf.input \
-       ${OUT}/f07fef.input   \
-       ${OUT}/s01eaf.input   ${OUT}/s13aaf.input     ${OUT}/s13acf.input \
+NAGLIB=${OUT}/s01eaf.input   ${OUT}/s13aaf.input     ${OUT}/s13acf.input \
        ${OUT}/s13adf.input   ${OUT}/s14aaf.input     ${OUT}/s14abf.input \
        ${OUT}/s14baf.input   ${OUT}/s15adf.input     ${OUT}/s15aef.input \
        ${OUT}/s17acf.input   ${OUT}/s17adf.input     ${OUT}/s17aef.input \
@@ -1045,8 +1042,6 @@ DOCFILES= \
   ${DOC}/expr1.input.dvi       ${DOC}/expr.input.dvi       \
   ${DOC}/exprode.input.dvi     ${DOC}/exprpoly.input.dvi   \
   ${DOC}/exseries.input.dvi    ${DOC}/exsum.input.dvi      \
-  ${DOC}/f07adf.input.dvi      ${DOC}/f07aef.input.dvi     \
-  ${DOC}/f07fdf.input.dvi      ${DOC}/f07fef.input.dvi     \
   ${DOC}/farray.input.dvi      ${DOC}/ffdemo.input.dvi     \
   ${DOC}/fferr.input.dvi       ${DOC}/ffrac.input.dvi      \
   ${DOC}/ffieldbug.input.dvi \
diff --git a/src/input/f07adf.input.pamphlet b/src/input/f07adf.input.pamphlet
deleted file mode 100644
index 86d4af2..0000000
--- a/src/input/f07adf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f07adf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=4
-n:=4
-lda:=4
-a:Matrix SF:=
- [[1.8 ,2.88 ,2.05 ,-0.89 ],_
-  [5.25 ,-2.95 ,-0.95 ,-3.8 ],_
-  [1.58 ,-2.69 ,-2.9 ,-1.04 ],_
-  [-1.11 ,-0.66 ,-0.59 ,0.8 ]]
-result:=f07adf(m,n,lda,a)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f07aef.input.pamphlet b/src/input/f07aef.input.pamphlet
deleted file mode 100644
index 12ab31c..0000000
--- a/src/input/f07aef.input.pamphlet
+++ /dev/null
@@ -1,46 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f07aef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-trans:="N"
-n:=4
-nrhs:=2
-a:Matrix SF:=
- [[5.25 ,-2.95 ,-0.95 ,-3.8 ],_
-  [0.34 ,3.89 ,2.38 ,0.41 ],_
-  [0.3 ,-0.46 ,-1.51 ,0.29 ],_
-  [-0.21 ,-0.33 ,0.01 ,1.13 ]]
-lda:=4
-ipiv:Matrix Integer:=
- [[2 ,2 ,3 ,4 ]]
-ldb:=4
-b:Matrix SF:=
-  [[9.52 ,18.47 ],_
-   [24.35 ,2.25 ],_
-   [0.77 ,-13.3 ],_
-   [-6.22 ,-6.21 ]]
-result:=f07aef(trans,n,nrhs,a,lda,ipiv,ldb,b)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f07fdf.input.pamphlet b/src/input/f07fdf.input.pamphlet
deleted file mode 100644
index 1fdb9bd..0000000
--- a/src/input/f07fdf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f07fdf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-uplo:="L"
-n:=4
-lda:=4
-a:Matrix SF:=
- [[4.16 ,0.0 ,0.0 ,0.0 ],_
-  [-3.12 ,5.03 ,0.0 ,0.0 ],_
-  [0.56 ,-0.83 ,0.76 ,0.0 ],_
-  [-0.1 ,1.18 ,0.34 ,1.18 ]]
-result:=f07fdf(uplo,n,lda,a)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f07fef.input.pamphlet b/src/input/f07fef.input.pamphlet
deleted file mode 100644
index 5a45061..0000000
--- a/src/input/f07fef.input.pamphlet
+++ /dev/null
@@ -1,44 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f07fef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-uplo:="L"
-n:=4
-nrhs:=2
-a:Matrix SF:=
- [[2.04 ,0.0 ,0.0 ,0.0 ],_
-  [-1.53 ,1.64 ,0.0 ,0.0 ],_
-  [0.28 ,-0.25 ,0.79 ,0.0 ],_
-  [-0.05 ,0.67 ,0.66 ,0.54 ]]
-lda:=4
-ldb:=4
-b:Matrix SF:=
- [[8.7 ,8.3 ],_
-  [-13.35 ,2.13 ],_
-  [1.89 ,1.61 ],_
-  [-4.14 ,5 ]]
-result:=f07fef(uplo,n,nrhs,a,lda,ldb,b)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
